# Ubuntu Testing Automation Harness
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Provide common functions and content for self tests."""

import shutil
import tempfile

from utah.config import config


def setUp():
    """setup function called for the duration of the test run."""

    # we need a consitent template across all the runs
    config.template_dir = tempfile.mkdtemp(prefix='utah-templates')


def tearDown():
    """Clean up after ourselves."""
    shutil.rmtree(config.template_dir)
