# Ubuntu Testing Automation Harness
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Tests for the server script."""

import os
import imp
import sys
import unittest

from mock import patch

from utah.run import ReturnCodes

server_script_path = os.path.join(os.path.dirname(__file__),
                                  '../examples/run_utah_tests.py')
server_script = imp.load_module('run_utah_tests',
                                open(server_script_path),
                                server_script_path,
                                ('.py', 'U', 1))


class TestServer(unittest.TestCase):

    """Test the client script."""

    @patch('argparse._sys.stderr')
    def test_invalid_argument_return_code(self, stderr):
        """Test return code value on invalid command line arguments."""
        prog = 'utah'
        sys.argv[0] = prog
        with self.assertRaises(SystemExit) as cm:
            server_script.run_utah_tests(['--invalid-option'])

        self.assertEqual(cm.exception.code, ReturnCodes.CMD_PARSING_ERROR)
        stderr.write.assert_called_with(
            '{}: error: too few arguments\n'
            .format(prog))
