# Ubuntu Testing Automation Harness
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Simple tests for the SSHMixin Object."""

import unittest

from utah.provisioning.exceptions import UTAHProvisioningException
from utah.provisioning.ssh import SSHMixin


class TestSSHMixin(unittest.TestCase):

    """Performs testing of our SSHMixin class."""

    def test_missing_files(self):
        """Make sure we exit *before* trying to provision if missing files."""
        ssh = SSHMixin()
        fname = '/this does not exist'
        with self.assertRaisesRegexp(UTAHProvisioningException, fname):
            ssh.uploadfiles(fname, '/tmp/')
