#!/bin/sh -x

BASE_DIR=/var/lib/ubuntu-iso-testing/

cd $BASE_DIR

echo `pwd`
ls -al

BZR_DIR=$BASE_DIR/bzr
UTAH_DIR=utah_dev
UTAH_URL=lp:utah/dev

XUNIT_FILE=$BASE_DIR/utah_client_test.xml

PRIV_TEST_FILE=tests/manual_privileges.py
PRIV_TEST_XUNIT_FILE=$BASE_DIR/utah_client_test_manual_privileges.xml

if [ ! -d $BZR_DIR ]; then
  mkdir $BZR_DIR
fi

cd $BZR_DIR

if [ ! -d $UTAH_DIR ]; then
  bzr branch $UTAH_URL $UTAH_DIR
fi

cd $UTAH_DIR
bzr pull

cd utah/client

# hack
mkdir -p /usr/share/utah/client
ln -s `pwd`/examples /usr/share/utah/client/examples

nosetests --with-xunit --xunit-file=$XUNIT_FILE tests
cp $XUNIT_FILE /tmp/

if [ -f $PRIV_TEST_FILE ]; then
	nosetests --with-xunit --xunit-file=$PRIV_TEST_XUNIT_FILE $PRIV_TEST_FILE
	cp $PRIV_TEST_XUNIT_FILE /tmp/
fi
