# Ubuntu Testing Automation Harness
# Copyright 2012 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""utah"""

import os
import os.path
from platform import linux_distribution as distro
from subprocess import (
    CalledProcessError,
    check_output,
)

try:
    with open(os.devnull, 'w') as devnull:
        __revno__ = check_output(['bzr', 'revno'],
                                 cwd=os.path.dirname(__file__),
                                 stderr=devnull).rstrip()
except CalledProcessError:
    __revno__ = 'unknown'

__version__ = 'dev-r{}~{}'.format(__revno__, distro()[-1])
