# Ubuntu Testing Automation Harness
# Copyright 2012 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Provide exceptions for UTAH."""


class UTAHException(Exception):

    """Provide a foundation class for UTAH exceptions.

    Support retry and external arguments, but default to False.

    """

    def __init__(self, *args, **kw):
        self.retry = kw.pop('retry', False)
        self.external = kw.pop('external', False)
        super(UTAHException, self).__init__(*args, **kw)
